# Generated by Django 3.0.8 on 2020-07-14 17:08

import autoslug.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(max_length=200)),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='titulo', unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Subcategoria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(max_length=200, null=True)),
                ('slug', autoslug.fields.AutoSlugField(editable=False, null=True, populate_from='titulo', unique=True)),
                ('categoria', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='products', to='productos.Categoria')),
            ],
        ),
        migrations.CreateModel(
            name='Producto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(max_length=200)),
                ('empresa', models.CharField(max_length=200)),
                ('descripcion_como', models.TextField(max_length=2000)),
                ('descripcion_acerca', models.TextField(max_length=2000)),
                ('descripcion_porque', models.TextField(max_length=2000)),
                ('precio', models.DecimalField(decimal_places=0, max_digits=12)),
                ('imagen', models.ImageField(upload_to='producto-')),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='titulo', unique=True)),
                ('categoria', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='producto', to='productos.Categoria')),
                ('sub_categoria', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sub_categoria', to='productos.Subcategoria')),
                ('usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='usuario_producto', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
